import styled from "@emotion/styled";
export var MaskContainer = /*#__PURE__*/ styled("div", {
    target: "e21u2800",
    label: "MaskContainer"
})("z-index:", function(param) {
    var zIndex = param.zIndex;
    return zIndex || 9000;
}, ";");
export var Mask = /*#__PURE__*/ styled("div", {
    target: "e21u2801",
    label: "Mask"
})("position:fixed;inset:0;pointer-events:all;");
export var Highlight = /*#__PURE__*/ styled("div", {
    target: "e21u2802",
    label: "Highlight"
})("--private-mask-color:", function(param) {
    var overlayColor = param.overlayColor;
    return "".concat(overlayColor || 'rgba(0, 0, 0, 0.45)');
}, ";position:fixed;background:transparent;border-radius:", function(param) {
    var borderRadius = param.borderRadius;
    return borderRadius !== null && borderRadius !== void 0 ? borderRadius : 0;
}, ";box-shadow:0 0 0 9999px var(--private-mask-color);pointer-events:none;transition:all 0.3s cubic-bezier(0.4,0,0.2,1);");
export var TourPortal = /*#__PURE__*/ styled("div", {
    target: "e21u2803",
    label: "TourPortal"
})("position:absolute;");
